---
title: "TYS 0x06 - willItBounce"
date: 2019-08-02T18:50:15Z
draft: false
tags: ["TYS", "network", "ftp", "docker"]
---

> This post is part of the Test Your Skills series. You can find an introduction [here](/projects/tys/). And an overview of all TYS's currently available is over [here](/tags/tys/).

---

#### Challenge
The goal of this challenge is to find a way to send a specific input from your host to the "Hidden Service" inside the container (as illustrated by the red arrow) - without changing the docker run command (build and run it exactly the way as shown below) or any of the scripts/files provided. 
<!--more-->
{{< figure src="https://mytty.org/cdn/static/willItBounce_Architecture.png" >}}
Study the output of the container carefully - it provides you with very relevant information for this TYS. You are also welcome to read the source code of the scripts contained in the tarball - but don't change anything!
```
e-axe@little0ne:~/TYS/willItBounce# docker build -t ftpd .
...
 
e-axe@little0ne:~/TYS/willItBounce# docker run --rm --name ftpd -p 2121:2121 ftpd
Username: admin
 
Container local service starting:
Listening on [127.0.0.1] (family 0, port 1051)
 
[I 2019-08-02 09:57:49] >>> starting FTP server on 172.17.0.2:2121, pid=15 <<<
[I 2019-08-02 09:57:49] concurrency model: async
[I 2019-08-02 09:57:49] masquerade (NAT) address: None
[I 2019-08-02 09:57:49] passive ports: None
Expected value (NTAwODI2Mgo=) not found yet...
Expected value (NTAwODI2Mgo=) not found yet...
...
```
<br>
Download [willItBounce.tar.xz](/cdn/tys/tys_0x06_willItBounce.tar.xz) and get started!
<br>
<br>
Have fun hunting, feel free to post your approach / write-up and let me know if you have any questions, feedback or general comments in the respective twitter thread over here:  <br>
<>
